---
layout: project
name:  "Tanztatur"
date:   2017-12-20 00:00:00 +0200
image: tanztatur.gif
tag: tanztatur
short: "Eine ganze neue Dimension der Tastatur!"
contact:
- "@jix_"
- "@TVLuke"
status: bastelei
categories:
- project
tags:
- tanztatur
---
Die Tanztatur ist der Versuch ein uns wohlvertrautes Objekt des täglichen Gebrauchs, die Tastatur, ganz neu erlebbar zu machen.

{% include {{site.image}} base=site.wikiimage url="projekte:tanztatur:tanztatur.jpg" caption="Die Tanztatur im Nobreakspace" copyr=ccbync %}

Welches Objekt? Die Tastatur. Die Tanztatur ist eine mehrere Meter lange Tastatur, welche man wie ein Tepich ausrollen kann, und welche trotzdem wie jede andere Tastatur per USB an jeden Rechner angeschlossen werden kann.

{% include {{site.gallery}} topic="tanztatur" %}

Die Tanztatur ist pflegeleicht, sie kann zur reinigung einfach feucht abgewischt werden, und sie ist leicht zu reparieren sollten Tasten ausfallen.

Zum Verstauen kann der Tepich aufgerollt und weggestellt werden.

## Aufbau

Als Grundlage gillt eine Rolle PVC-Boden auf welchen die Drucksensoren aufgebracht werden, welche mit Flachkabel verdratet sind. Darüber ist ein Papier mit dem Aufdruck des Tastatur-Layouts. Darüber eine durchsichtige Folie.

## Drucksensoren

Basis der Tastatur sind einzelne Drucksensoren. Sie bestehen aus [Velostat](https://en.wikipedia.org/wiki/Velostat) und Alufolie. Das Velostat erlaubt es zu erkennen, ob ein Taster "gedrückt" ist, da das Material seinen Wiederstand verändert, wenn Druck darauf ausgeübt wird.

Um die Kontaktfläche zu erhöhen sind jeweils Unter- und Oberseite des Tasters mit Alufolie belegt. Das Konstrukt wurde danach mit einem Laminirgerät fixiert. Als Leiter dient Alutape.

## Tastaturlayout

Das Tastaturlayout wurde mit Hilfe von [TikZ](https://de.wikipedia.org/wiki/PGF/TikZ) erstellt und kann in unserem [Repositorry](https://git.chaotikum.org/tanztatur/layout) gefunden werden. Die aktuelle Tastatur verfügt über 64 Tasten.

Zum Ausdrucken nutzen wir einen A0-Plotter.

## Schaltung

Die Platinen wurden mit unserer Fräse erstellt. Das Layout findet sich in unserem [Gitlab](https://git.chaotikum.org/tanztatur/code/tree/master/pcb).

## Tastaturemulation

Zur Emaulation einer Tastatur nutzen wir den [Teensyduino](https://www.pjrc.com/teensy/teensyduino.html).

Der Code ist  auf [Gitlab](https://git.chaotikum.org/tanztatur/code/tree/master/teensyduino).

## Einkaufsliste

 * 11 Mal: [Velostat](https://www.adafruit.com/product/1361) Folie (28cm x 28cm)
 * 30 Meter: [Kupfertape](https://www.adafruit.com/product/1128) auf beiden seiten Leitend
 * 60 Meter: [Kupfertape](https://www.amazon.de/gp/product/B016Y58RRC/ref=oh_aui_detailpage_o03_s00?ie=UTF8&psc=1&tag=chaotikum-21) einseitig leitend.
 * 1 Mal: [Flachbandkabel](https://www.reichelt.de/AWG-28-10G-30M/3/index.html?ACTION=3&LA=446&ARTICLE=47622&artnr=AWG+28-10G+30M&SEARCH=Flachbandkabel+10)
 * 10 Mal: [Pfostenbuchse](https://www.reichelt.de/PFL-10/3/index.html?ACTION=3&LA=446&ARTICLE=14571&artnr=PFL+10&SEARCH=pfl10)
 * 90 Mal: [Alligator-Kabel](https://www.amazon.de/gp/product/B01N8YEI43/ref=oh_aui_detailpage_o03_s01?ie=UTF8&psc=1&tag=chaotikum-21)
 * 2 Rollen Alufolie
 * 70 DIN A-5 Laminierfolien
 * 3,5 Meter x 2 Meter PVC
 * 1 Rolle Panzertape o.ä.
 * Die Platinen wurden selbst gefräst, könnten aber theoretisch auch bestellt werden
 * 1 Mal: [Teensyduino 3.2](https://www.pjrc.com/store/teensy32.html)
 * Durchsichtige Abdeckfolie z.B. [diese](https://www.amazon.de/dp/B008GRMVUG/ref=cm_sw_em_r_mt_dp_mGb-xbABW517P?tag=chaotikum-21).
 * Die Papiertastatur wurde mit unserem Plotter selbst gedruckt.

## Ähnliche Projekte

- Die bekannteste Referenz ist offensichtlich aus dem Film [Big mit Tom Hanks](https://www.youtube.com/watch?v=CF7-rz9nIn4).
- Gilette hat mal Werbung mit nem Fußballer gemacht, der Fußbälle gegen eine Tastatur geschossen hat und so [getwittert](http://creativity-online.com/work/gillette-community-player/42375) hat.
- http://technabob.com/blog/2008/05/28/giant-keyboard-requires-massive-fingers-or-toes/ und http://maurin.donneaud.free.fr/
- In Yekaterinenburg steht eine [Skulptur einer riesigen Tastatur](http://www.mymodernmet.com/profiles/blogs/anatoly-vyatkin-keyboard-monument-claudia)
- An der Wand einer [Grundschule in Kalifornien](http://blogs.egusd.net/mgipson/2012/08/17/giant-keyboard/) hängt ein großes Keyboard
